comedi_get_n_channels
Prev | 5.4.1. Core Functions | Next

## Name

comedi_get_n_channels — number of subdevice channels

## Synopsis

    #include <comedilib.h>

`int comedi_get_n_channels(` | comedi_t * device,
| unsigned int subdevice`)`;

## Description

The function `comedi_get_n_channels` returns the number of channels of the subdevice `subdevice` belonging to the comedi device `device`. This function returns `-1` on error and the Comedilib error value is set.

Prev | Up | Next
comedi_get_maxdata | Home | comedi_get_n_ranges